# SoRotationXYZ Class Reference
[Nodes]

`#include <Inventor/nodes/SoRotationXYZ.h>`

Inheritance diagram for SoRotationXYZ:

List of all members.

## Detailed Description

The SoRotationXYZ class is a node type for specifying rotation around a particular axis.

Application programmers can use nodes of this type instead of SoRotation nodes for simplicity and clarity if the rotation will only happen around one particular axis.

Using SoRotationXYZ nodes are also simpler and more efficient than using SoRotation nodes if you are connecting engines to rotation angles for animation purposes.

## Public Types

enum | Axis { X, Y, Z }

## Public Member Functions

| SoRotationXYZ (void)
SbRotation | getRotation (void) const
virtual void | doAction (SoAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | callback (SoCallbackAction *action)
virtual void | getBoundingBox (SoGetBoundingBoxAction *action)
virtual void | getMatrix (SoGetMatrixAction *action)
virtual void | pick (SoPickAction *action)
virtual void | getPrimitiveCount (SoGetPrimitiveCountAction *action)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFEnum | axis
SoSFFloat | angle

## Protected Member Functions

virtual | ~SoRotationXYZ ()

## Member Enumeration Documentation

enum SoRotationXYZ::Axis

| Enumerated values for the 3 axes.

## Constructor & Destructor Documentation

SoRotationXYZ::SoRotationXYZ | ( | void |  | ) |

| Constructor.

SoRotationXYZ::~SoRotationXYZ | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoRotationXYZ::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoTransformation.

SbRotation SoRotationXYZ::getRotation | ( | void |  | ) | const

| Returns an SbRotation object with values set up to correspond with the specified rotation of the node.

void SoRotationXYZ::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode.

void SoRotationXYZ::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode.

void SoRotationXYZ::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoNode.

void SoRotationXYZ::getBoundingBox | ( | SoGetBoundingBoxAction * | action | ) | `[virtual]`

Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculates their bounding box also overrides this method to change the relevant state variables.

Reimplemented from SoNode.

void SoRotationXYZ::getMatrix | ( | SoGetMatrixAction * | action | ) | `[virtual]`

| Action method for SoGetMatrixAction. Updates action by accumulating with the transformation matrix of this node (if any). Reimplemented from SoNode.

void SoRotationXYZ::pick | ( | SoPickAction * | action | ) | `[virtual]`

| Action method for SoPickAction. Does common processing for SoPickAction action instances. Reimplemented from SoNode.

void SoRotationXYZ::getPrimitiveCount | ( | SoGetPrimitiveCountAction * | action | ) | `[virtual]`

| Action method for the SoGetPrimitiveCountAction. Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action. Nodes influencing how geometry nodes calculates their primitive count also overrides this method to change the relevant state variables. Reimplemented from SoNode.

## Member Data Documentation

SoSFEnum SoRotationXYZ::axis

| Which axis to rotate around. Defaults to SoRotationXYZ::X.

SoSFFloat SoRotationXYZ::angle

| The angle to rotate, specified in radians.

The documentation for this class was generated from the following files:

- SoRotationXYZ.h
- SoRotationXYZ.cpp